<?php

namespace App\Entity;

use App\Repository\QuiOrganiseRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: QuiOrganiseRepository::class)]
class QuiOrganise
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'quiOrganises')]
    private ?User $user = null;

    #[ORM\ManyToOne(inversedBy: 'quiOrganises')]
    private ?DisponibiliteAtelier $dispoAtelier = null;

    #[ORM\ManyToOne]
    private ?Atelier $atelier = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getUser(): ?User
    {
        return $this->user;
    }

    public function setUser(?User $user): static
    {
        $this->user = $user;

        return $this;
    }

    public function getDispoAtelier(): ?DisponibiliteAtelier
    {
        return $this->dispoAtelier;
    }

    public function setDispoAtelier(?DisponibiliteAtelier $dispoAtelier): static
    {
        $this->dispoAtelier = $dispoAtelier;

        return $this;
    }

    public function getAtelier(): ?Atelier
    {
        return $this->atelier;
    }

    public function setAtelier(?Atelier $atelier): static
    {
        $this->atelier = $atelier;

        return $this;
    }
}
